Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.tapestry5.internal.dynamic
Class DynamicTemplateParserImpl

    java.lang.Object
      org.apache.tapestry5.internal.dynamic.DynamicTemplateParserImpl

All Implemented Interfaces:
  DynamicTemplateParser, UpdateListener

    public class DynamicTemplateParserImpl

extends java.lang.Object
implements DynamicTemplateParser, UpdateListener

Constructor Summary
`DynamicTemplateParserImpl(ClasspathURLConverter converter, BindingSource bindingSource, PageSource pageSource, TemplateParser componentTemplateParser)`

Method Summary
`void` | `checkForUpdates()` Invoked to force the receiver to check for updates to whatever underlying resources it makes use of.
`DynamicTemplate` | `parseTemplate(Resource resource)` Given a Resource, parse the XML file into a template.
`void` | `registerAsUpdateListener(UpdateListenerHub hub)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DynamicTemplateParserImpl

    public DynamicTemplateParserImpl(ClasspathURLConverter converter,
                                     BindingSource bindingSource,
                                     PageSource pageSource,
                                     TemplateParser componentTemplateParser)

Method Detail

### registerAsUpdateListener

    @PostInjection
    public void registerAsUpdateListener(UpdateListenerHub hub)

### parseTemplate

    public DynamicTemplate parseTemplate(Resource resource)

  Description copied from interface: `DynamicTemplateParser`
  Given a Resource, parse the XML file into a template. The result is cached (using the Resource itself as the key). The DynamicTemplateParser is change aware; it will clear its cache if any underlying Resource changes, and will clear the Tapestry page cache as well.

  Specified by:
    `parseTemplate` in interface `DynamicTemplateParser`

### checkForUpdates

    public void checkForUpdates()

  Description copied from interface: `UpdateListener`
  Invoked to force the receiver to check for updates to whatever underlying resources it makes use of.

  Specified by:
    `checkForUpdates` in interface `UpdateListener`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2012 The Apache Software Foundation.